Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1231321 - Availability Zone & Security Group Tags not honoured by Group Tag Filter
Availability Zone & Security Group Tags not honoured by Group Tag Filter
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.3.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Taras Lehinevych
: ZStream
Depends On:
Blocks: 1242613
  Show dependency treegraph
 
Reported: 2015-06-12 12:38 EDT by ncatling
Modified: 2016-08-02 21:32 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1242613 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:13:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description ncatling 2015-06-12 12:38:18 EDT
Description of problem:
Availability Zone & Security Group Tags not honoured by Group Tag Filter

Version-Release number of selected component (if applicable):
5.3.4 and 5.4-42 tested.

How reproducible:
Assign tags to single Availability Zone & Security Group.
Create and edit group, assigning same tags [Assign Filters] -> [My Company Tags]
Log in with user who's a member of the group.
Review Availability Zone & Security Group menu, all are shown, where as only those tagged should be.

Steps to Reproduce:
1. Assign tags to single Availability Zone & Security Group.
2. Create and edit group, assigning same tags [Assign Filters] -> [My Company Tags]
3. Add a user to the group
4. Log in with user

Actual results:
All Availability Zones & Security Groups are shown, where as only those tagged should be.

Expected results:
Only tagged Availability Zone & Security Group should be shown.


Additional info:
Comment 3 CFME Bot 2015-07-13 17:02:05 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/7484518902e9de2d471c406f4a7bb2e8b7dcd5fe

commit 7484518902e9de2d471c406f4a7bb2e8b7dcd5fe
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Jul 13 14:07:18 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Jul 13 14:07:18 2015 -0400

    Added classes to list of CLASSES_THAT_PARTICIPATE_IN_RBAC
    
    - Added AvailabilityZone & SecurityGroup to list of CLASSES_THAT_PARTICIPATE_IN_RBAC
    - Sorted list alphabetically
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1231321

 app/models/rbac.rb | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)
Comment 4 CFME Bot 2015-07-13 17:33:24 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=783371e4a30ad6b98596d263c3d2588c724be0b6

commit 783371e4a30ad6b98596d263c3d2588c724be0b6
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Jul 13 17:06:28 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Jul 13 17:06:28 2015 -0400

    Added classes to list of CLASSES_THAT_PARTICIPATE_IN_RBAC
    
    - Added AvailabilityZone & SecurityGroup to list of CLASSES_THAT_PARTICIPATE_IN_RBAC
    - Sorted list alphabetically
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1231321
    https://bugzilla.redhat.com/show_bug.cgi?id=1242613

 vmdb/app/models/rbac.rb | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)
Comment 5 CFME Bot 2015-07-13 17:33:32 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=fb6fdbe732bbf27e8ad984c6e57dec384d226f6a

commit fb6fdbe732bbf27e8ad984c6e57dec384d226f6a
Merge: 5e08de3 783371e
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Jul 13 17:32:10 2015 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Mon Jul 13 17:32:10 2015 -0400

    Merge branch '54z_bz_1242613' into '5.4.z'
    
    Added classes to list of CLASSES_THAT_PARTICIPATE_IN_RBAC
    
    - Added AvailabilityZone & SecurityGroup to list of CLASSES_THAT_PARTICIPATE_IN_RBAC
    - Sorted list alphabetically
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1231321
    https://bugzilla.redhat.com/show_bug.cgi?id=1242613
    
    @dclarizio please review, applied clean patch from original commit.
    https://github.com/ManageIQ/manageiq/pull/3426
    
    See merge request !173

 vmdb/app/models/rbac.rb | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)
Comment 8 errata-xmlrpc 2015-12-08 08:13:39 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.